|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QFontMetrics

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFontMetrics class reference

### Public Functions

- QRect boundingRect ( const QString & text, int len ) const
- QRect boundingRect ( int x, int y, int w, int h, int flags, const QString & str, int len, int tabstops = 0, int * tabarray = 0 ) const
- QSize size ( int flags, const QString & str, int len, int tabstops = 0, int * tabarray = 0 ) const

## Member Function Documentation

### QRect QFontMetrics::boundingRect ( const QString & text, int len ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QRect QFontMetrics::boundingRect ( int x, int y, int w, int h, int flags, const QString & str, int len, int tabstops = 0, int * tabarray = 0 ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QSize QFontMetrics::size ( int flags, const QString & str, int len, int tabstops = 0, int * tabarray = 0 ) const

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.